HP Color LaserJet 2600n :  foo2zjs - foo2hp - foo2xqx - foo2lava - foo2qpdl - foo2oak
Support for linux printer drivers
The fastest message board... ever.
 
OpenSUSE 10.3 install
Posted by: KennV ()
Date: March 21, 2008 06:33AM

It's been about a year since I updated my notes on how to install ghostscript and foo2hp on OpenSuse. It the meantime it's become a whole lot easier to get good quality prints so I figured a new post was due.

Here we go.

Use Yast to add this repository:
http://download.opensuse.org/repositories/Printing/openSUSE_10.3/

Use Yast to upgrade the following Ghostscript packages to 8v61:
ghostscript-fonts-other
ghostscript-fonts-std
ghostscript-library
ghostscript-x11
ghostscript-omni (was added automagically)

Follow the excellent documentation provided here:
http://foo2hp.rkkda.com/
and in the INSTALL file.

That is it!!

Easy huh? Don't forget to donate for the driver.

KennV



Edited 2 time(s). Last edit at 03/21/2008 10:33AM by KennV.

Options: ReplyQuote
Re: OpenSUSE 10.3 install
Posted by: KennV ()
Date: March 21, 2008 06:46PM

You can also upgrade Ghostscript from the command line if you prefer:

INTERACTIVELY

First add the repository
(all one line, one space between "..SUSE_10.3/" and "Printing"):
# zypper ar http://download.opensuse.org/repositories/Printing/openSUSE_10.3/ Printing

Then upgrade the packages individually:
# zypper in -r Printing -n ghostscript-fonts-other
# zypper in -r Printing -n ghostscript-fonts-std
# zypper in -r Printing -n ghostscript-library
# zypper in -r Printing -n ghostscript-x11

OR upgrade them all at once*:
# zypper up -r Printing -t package
*cups-lib may also be upgraded to cups-libs-1.3.6-3.1



NON-INTERACTIVELY

To run non-interactively, one could use the following:

First add the repository:
# zypper -qn --no-gpg-checks ar http://download.opensuse.org/repositories/Printing/openSUSE_10.3/ Printing

Then upgrade the packages individually:
# zypper -qn --no-gpg-checks in -r Printing -n ghostscript-fonts-other
# zypper -qn --no-gpg-checks in -r Printing -n ghostscript-fonts-std
# zypper -qn --no-gpg-checks in -r Printing -n ghostscript-library
# zypper -qn --no-gpg-checks in -r Printing -n ghostscript-x11

OR upgrade them all at once*:
# zypper -qn --no-gpg-checks up -r Printing -t package
*cups-lib may also be upgraded to cups-libs-1.3.6-3.1

KennV



Edited 2 time(s). Last edit at 03/22/2008 08:15AM by KennV.

Options: ReplyQuote


Sorry, only registered users may post in this forum.
This forum powered by Phorum.